---
updatedAt: 2026-05-04T07:02:55.000Z
agentTools:
  projectIndex: https://developers.intandem.tech/llms.txt
---

# Get Conversations For A Client

## Overview
Gets a list of conversations for a client.

## Authentication
**Available for Staff, App, and Directory Tokens.**

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Communication",
    "description": "Unified OpenAPI specification for communication domain",
    "version": "3.0",
    "x-generated": {
      "sourceFiles": [
        "business_phone_numbers.json",
        "contact_channels.json",
        "legacy_v1_communication.json",
        "communication.json",
        "activity_message.json",
        "communication.json",
        "conversations.json",
        "notification_template.json",
        "legacy_v2_communication.json",
        "staff_notification.json",
        "messages.json"
      ],
      "pathNormalizations": [
        {
          "file": "legacy_v1_communication.json",
          "basePath": "/platform/v1",
          "transformations": [
            {
              "original": "/conversations",
              "normalized": "/platform/v1/conversations",
              "basePath": "/platform/v1"
            },
            {
              "original": "/clients/{client_id}/conversations",
              "normalized": "/platform/v1/clients/{client_id}/conversations",
              "basePath": "/platform/v1"
            },
            {
              "original": "/messages",
              "normalized": "/platform/v1/messages",
              "basePath": "/platform/v1"
            },
            {
              "original": "/numbers/dedicated_numbers/assign",
              "normalized": "/platform/v1/numbers/dedicated_numbers/assign",
              "basePath": "/platform/v1"
            },
            {
              "original": "/numbers/dedicated_numbers/set_two_way_texting_status",
              "normalized": "/platform/v1/numbers/dedicated_numbers/set_two_way_texting_status",
              "basePath": "/platform/v1"
            },
            {
              "original": "/numbers/twilio",
              "normalized": "/platform/v1/numbers/twilio",
              "basePath": "/platform/v1"
            },
            {
              "original": "/numbers/twilio/{sub_account_id}",
              "normalized": "/platform/v1/numbers/twilio/{sub_account_id}",
              "basePath": "/platform/v1"
            }
          ]
        },
        {
          "file": "communication.json",
          "basePath": "/business/communication",
          "transformations": [
            {
              "original": "/channels",
              "normalized": "/business/communication/channels",
              "basePath": "/business/communication"
            },
            {
              "original": "/channels/{uid}",
              "normalized": "/business/communication/channels/{uid}",
              "basePath": "/business/communication"
            },
            {
              "original": "/messages",
              "normalized": "/business/communication/messages",
              "basePath": "/business/communication"
            },
            {
              "original": "/messages/{messageUid}",
              "normalized": "/business/communication/messages/{messageUid}",
              "basePath": "/business/communication"
            },
            {
              "original": "/sessions",
              "normalized": "/business/communication/sessions",
              "basePath": "/business/communication"
            },
            {
              "original": "/sessions/typing",
              "normalized": "/business/communication/sessions/typing",
              "basePath": "/business/communication"
            },
            {
              "original": "/sessions/{uid}",
              "normalized": "/business/communication/sessions/{uid}",
              "basePath": "/business/communication"
            }
          ]
        },
        {
          "file": "conversations.json",
          "basePath": "/v2",
          "transformations": [
            {
              "original": "/conversations/{id}",
              "normalized": "/v2/conversations/{id}",
              "basePath": "/v2"
            }
          ]
        },
        {
          "file": "legacy_v2_communication.json",
          "basePath": "/v2",
          "transformations": [
            {
              "original": "/conversations/{conversation_id}/messages",
              "normalized": "/v2/conversations/{conversation_id}/messages",
              "basePath": "/v2"
            }
          ]
        },
        {
          "file": "messages.json",
          "basePath": "/business/messaging",
          "transformations": [
            {
              "original": "/v1/channels",
              "normalized": "/business/messaging/v1/channels",
              "basePath": "/business/messaging"
            },
            {
              "original": "/v1/channels/typing",
              "normalized": "/business/messaging/v1/channels/typing",
              "basePath": "/business/messaging"
            }
          ]
        }
      ],
      "pathConflicts": [],
      "componentConflicts": [
        {
          "type": "schema",
          "name": "ErrorResponse",
          "resolution": "Renamed to ErrorResponse_contact_channels",
          "files": [
            "merged",
            "contact_channels.json"
          ]
        },
        {
          "type": "schema",
          "name": "ErrorResponse",
          "resolution": "Renamed to ErrorResponse_communication",
          "files": [
            "merged",
            "communication.json"
          ]
        },
        {
          "type": "schema",
          "name": "Response",
          "resolution": "Renamed to Response_communication",
          "files": [
            "merged",
            "communication.json"
          ]
        },
        {
          "type": "schema",
          "name": "ErrorResponse",
          "resolution": "Renamed to ErrorResponse_activity_message",
          "files": [
            "merged",
            "activity_message.json"
          ]
        },
        {
          "type": "schema",
          "name": "Response",
          "resolution": "Renamed to Response_communication",
          "files": [
            "merged",
            "communication.json"
          ]
        },
        {
          "type": "schema",
          "name": "ErrorResponse",
          "resolution": "Renamed to ErrorResponse_conversations",
          "files": [
            "merged",
            "conversations.json"
          ]
        }
      ],
      "totalPaths": 35,
      "totalComponents": 43
    }
  },
  "servers": [
    {
      "url": "https://api.vcita.biz",
      "description": "Unified API Gateway server"
    }
  ],
  "paths": {
    "/platform/v1/clients/{client_id}/conversations": {
      "get": {
        "description": "## Overview\nGets a list of conversations for a client.\n\n## Authentication\n**Available for Staff, App, and Directory Tokens.**",
        "parameters": [
          {
            "description": "Client UID",
            "in": "path",
            "name": "client_id",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Page number (default: 1)",
            "in": "query",
            "name": "page",
            "required": false,
            "schema": {
              "type": "integer"
            }
          },
          {
            "description": "Results per page (default: 25, max: 50)",
            "in": "query",
            "name": "per_page",
            "required": false,
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "example": {
                  "data": {
                    "conversations": [
                      {
                        "business_id": "2f27ca024eb96133",
                        "business_unread": false,
                        "client_id": "od0tuoli2prraw3y",
                        "client_unread": false,
                        "created_at": "2025-08-05T06:56:33.583Z",
                        "deep_link": "/app/conversations/uuk21b7xv53er6zq",
                        "id": "uuk21b7xv53er6zq",
                        "last_business_action": "",
                        "last_client_action": null,
                        "staff_id": "6ad7601fd821c8d2",
                        "title": null,
                        "updated_at": "2025-08-05T06:56:33.583Z"
                      }
                    ]
                  },
                  "status": "OK"
                }
              }
            }
          }
        },
        "summary": "Get Conversations For A Client",
        "tags": [
          "Conversations"
        ],
        "x-amazon-apigateway-auth": {
          "type": "NONE"
        },
        "x-amazon-apigateway-integration": {
          "httpMethod": "GET",
          "responses": {
            "default": {
              "statusCode": "200"
            }
          },
          "type": "http_proxy",
          "uri": "https:///platform/v1/clients/{client_id}/conversations"
        },
        "x-auth-type": "Application & Application User",
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Provide a valid bearer token in the Authorization header. Example: 'Authorization: Bearer {app_token}'"
      }
    }
  }
}
```